<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" />

	<xsl:template match="/vitality">
		<ROOT>

			<xsl:for-each select="server">
				<ALERT>
					<DATE><xsl:value-of select="@timeString" /></DATE>
					<xsl:if test="@status='ok'">
						<EVENTID>0</EVENTID>
					</xsl:if>
					<xsl:if test="@status='error'">
						<EVENTID>3</EVENTID>
					</xsl:if>
					<SYSTEM>WRKL</SYSTEM>
					<SUBJECT>SRV</SUBJECT>
					<COMPUTER><xsl:value-of select="../@host" /></COMPUTER>
					<DESCRIPTION><xsl:value-of select="description" /></DESCRIPTION>
				</ALERT>
			</xsl:for-each>

			<xsl:for-each select="adapter">
				<ALERT>
					<DATE><xsl:value-of select="@timeString" />
					</DATE>
					<xsl:if test="@status='ok'">
						<EVENTID>0</EVENTID>
					</xsl:if>
					<xsl:if test="@status='error'">
						<EVENTID>1</EVENTID>
					</xsl:if>
					<SYSTEM>WRKL</SYSTEM>
					<SUBJECT>ADPT</SUBJECT>
					<COMPUTER><xsl:value-of select="../@host" /></COMPUTER>
					<DESCRIPTION><xsl:value-of select="description" /></DESCRIPTION>
				</ALERT>
			</xsl:for-each>

			<xsl:for-each select="application">
				<ALERT>
					<DATE><xsl:value-of select="@timeString" /></DATE>
					<xsl:if test="@status='ok'">
						<EVENTID>0</EVENTID>
					</xsl:if>
					<xsl:if test="@status='error'">
						<EVENTID>2</EVENTID>
					</xsl:if>
					<SYSTEM>WRKL</SYSTEM>
					<SUBJECT>APPL</SUBJECT>
					<COMPUTER><xsl:value-of select="../@host" /></COMPUTER>
					<DESCRIPTION><xsl:value-of select="description" /></DESCRIPTION>
				</ALERT>
			</xsl:for-each>

			<xsl:for-each select="pserver">
				<ALERT>
					<DATE><xsl:value-of select="@timeString" />
					</DATE>
					<xsl:if test="@status='ok'">
						<EVENTID>0</EVENTID>
					</xsl:if>
					<xsl:if test="@status='error'">
						<EVENTID>3</EVENTID>
					</xsl:if>
					<SYSTEM>WRKL</SYSTEM>
					<SUBJECT>PSRV</SUBJECT>
					<COMPUTER><xsl:value-of select="../@host" /></COMPUTER>
					<DESCRIPTION><xsl:value-of select="description" /></DESCRIPTION>
				</ALERT>
			</xsl:for-each>
			
			<xsl:for-each select="build">
				<ALERT>
					<DATE><xsl:value-of select="@timeString" />
					</DATE>
					<xsl:if test="@status='ok'">
						<EVENTID>0</EVENTID>
					</xsl:if>
					<xsl:if test="@status='error'">
						<EVENTID>3</EVENTID>
					</xsl:if>
					<SYSTEM>WRKL</SYSTEM>
					<SUBJECT>BUILD</SUBJECT>
					<COMPUTER><xsl:value-of select="../@host" /></COMPUTER>
					<DESCRIPTION><xsl:value-of select="description" /></DESCRIPTION>
				</ALERT>
			</xsl:for-each>

		</ROOT>
	</xsl:template>

</xsl:stylesheet>